> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steuerboard.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> Returns a paginated list of client users.



## OpenAPI

````yaml https://api.steuerboard.com/v1/openapi get /users
openapi: 3.1.1
info:
  version: 0.1.0
  title: Steuerboard API
servers:
  - url: https://api.steuerboard.com/v1
security:
  - bearerAuth: []
tags:
  - name: auth
    description: Authentication and identity endpoints
    x-displayName: Auth
  - name: collect
    description: Public collect session endpoints
    x-displayName: Collect
  - name: collect.sessions
    description: Collect Sessions endpoints
    x-displayName: Collect Sessions
  - name: health
    description: Service health endpoints
    x-displayName: Health
  - name: admin.clients
    description: Admin endpoints for managing clients
    x-displayName: Clients
  - name: admin.users
    description: Admin user management endpoints
    x-displayName: Admin Users
  - name: files
    description: File management endpoints
    x-displayName: Files
  - name: tasks
    description: Task management endpoints
    x-displayName: Tasks
  - name: workspaces
    description: Workspace management endpoints
    x-displayName: Workspaces
  - name: workspace.members
    description: Workspace member management endpoints
    x-displayName: Workspace Members
  - name: webhooks
    description: Webhook event payloads and contracts
    x-displayName: Webhooks
  - name: users
    description: User management endpoints
    x-displayName: Users
externalDocs:
  description: Find out more about Steuerboard API
  url: https://docs.steuerboard.com
paths:
  /users:
    get:
      tags:
        - users
      summary: List users
      description: Returns a paginated list of client users.
      operationId: listUsers
      parameters:
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
            description: The number of items to return
            example: 20
          required: false
          in: query
          name: limit
        - schema:
            type: string
            format: cuid
            description: The cursor to return the next page of items
            example: cmf41ajzv003706un4i99q19z
          required: false
          in: query
          name: cursor
        - schema:
            type: string
            format: cuid
            description: The ID of the client
            example: cmf41ajzv003706un4i99q19z
          required: true
          name: x-client-id
          in: header
      responses:
        '200':
          description: Users
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedUsers'
        '400':
          description: Missing client ID
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/bad_request'
                  - properties:
                      status_code:
                        type: integer
                        enum:
                          - 400
                      type:
                        type: string
                        enum:
                          - bad_request
                      code:
                        type: string
                        enum:
                          - missing_client_id
                      message:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/auth_error'
        '403':
          description: Missing scope
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/auth_error'
                  - properties:
                      status_code:
                        type: integer
                        enum:
                          - 403
                      type:
                        type: string
                        enum:
                          - auth_error
                      code:
                        type: string
                        enum:
                          - missing_scope
                      message:
                        type: string
        '422':
          description: The validation error(s)
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            path:
                              type: array
                              items:
                                anyOf:
                                  - type: string
                                  - type: number
                            message:
                              type: string
                          required:
                            - code
                            - path
                      name:
                        type: string
                    required:
                      - issues
                      - name
                    example:
                      name: ZodError
                      issues:
                        - code: invalid_type
                          path:
                            - fieldName
                          message: Expected string, received undefined
                required:
                  - success
                  - error
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rate_limit'
        '500':
          description: Internal server error
          content: {}
components:
  schemas:
    PaginatedUsers:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ClientUser'
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - data
        - pagination
    bad_request:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 410
        type:
          type: string
          enum:
            - bad_request
        code:
          type: string
          enum:
            - collect_token_expired
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
    auth_error:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 401
        type:
          type: string
          enum:
            - auth_error
        code:
          type: string
          enum:
            - unauthorized
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
    rate_limit:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 429
        type:
          type: string
          enum:
            - rate_limit
        code:
          type: string
          enum:
            - too_many_requests
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
    ClientUser:
      type: object
      properties:
        id:
          type: string
          format: cuid
          description: Identifier of the client user.
          example: cmf41ajzv003706un4i99q1a0
        createdAt:
          type: string
          format: date-time
          description: >-
            The date and time when the client user record was created. ISO-8601
            format (YYYY-MM-DDTHH:MM:SSZ).
          example: '2024-05-14T08:30:00Z'
        email:
          type: string
          format: email
          description: Email address of the client user.
          example: frida@example.com
        firstName:
          type:
            - string
            - 'null'
          description: First name of the client user, if provided.
          example: Frida
        lastName:
          type:
            - string
            - 'null'
          description: Last name of the client user, if provided.
          example: Meyer
        roles:
          type: array
          items:
            type: string
            description: Role name assigned to the user.
            example: client_admin
          description: List of role names assigned to the user.
      required:
        - id
        - createdAt
        - email
        - firstName
        - lastName
        - roles
    Pagination:
      type: object
      properties:
        nextCursor:
          type: string
          description: The cursor to return the next page of items
          example: cmf41ajzv003706un4i99q19z
        previousCursor:
          type: string
          description: The cursor to return the previous page of items
          example: cmf41ajzv003706un4i99q19z
        limit:
          type: integer
          minimum: 0
          description: The number of items to return
          example: 20
        total:
          type: integer
          minimum: 0
          description: The total number of items
          example: 134
      required:
        - limit
        - total
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication

````